## Garbage Collection

## Usage

    gc(verbose = .Options$verbose)
    gcinfo(verbose)

## Arguments

`verbose` | logical; if `TRUE`, the garbage collection prints statistics about cons cells [in Bytes] and the vector heap [in KBytes].

## Value

A call of `gc` causes a garbage collection to take place. This usually takes place automagically without user intervention. `gc` returns a 2*2 matrix with rows `"Ncells"` (cons cells) and `"Vcells"` (vector cells, 8 bytes each), and columns `"free"` and `"total"`.

The associated function `gcinfo` sets a flag so that automatic collection is either silent (`verbose=FALSE`) or prints memory use statistics (`verbose=TRUE`).

## See Also

`Memory` on R's memory management and `gctorture` if you are an R hacker.

## Examples

    gc() #- do it now
    gcinfo(TRUE) #-- in the future, show when you do it
    x <- integer(0); for(i in 1:18) x _ c(x,i,x)
    gcinfo(verbose = FALSE)#-- don't show it anymore

    ( rgc <- gc(TRUE) )
    (100*rgc[,"free"])%/% rgc[,"total"] # the percentages
    rgc[2,"free"]/ (1024 / 8) # free vector heap in K bytes

[Package Contents]